Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reporting
Export & Automations
Other
    Other
      Get analytics model in AAC formatgetSet analytics model from AAC formatputGet logical model in AAC formatgetSet logical model from AAC formatputConvert a geo file to GeoParquet formatpostUpload a geo collection file to the staging areapostImport custom geo collectionpost(BETA) Check Organization Metadata Inconsistenciespost(BETA) Sync organization scope Metadata to other servicespostSwitch Active Identity Providerpost/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documentsget/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documentsput/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documentspost/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}get/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}delete/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}patch/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/searchget(BETA) Sync Metadata to other servicespostSet Certificationpost(BETA) List AI Lake Database instancesget(BETA) Create a new AILake Database instancepost(BETA) Get the specified AILake Database instanceget(BETA) Delete an existing AILake Database instancedelete(BETA) Get Long Running Operation detailsget(BETA) List AI Lake servicesget(BETA) Run an AI Lake services commandpost(BETA) Get AI Lake service statusget/api/v1/entities/customGeoCollectionsget/api/v1/entities/customGeoCollectionspost/api/v1/entities/customGeoCollections/{id}get/api/v1/entities/customGeoCollections/{id}put/api/v1/entities/customGeoCollections/{id}delete/api/v1/entities/customGeoCollections/{id}patchGet all LLM Provider entitiesgetPost LLM Provider entitiespostGet LLM Provider entitygetPUT LLM Provider entityputDelete LLM Provider entitydeletePatch LLM Provider entitypatch/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendationsget/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendationspost/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/searchpost/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}get/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}put/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}delete/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}patch/api/v1/entities/workspaces/{workspaceId}/memoryItemsget/api/v1/entities/workspaces/{workspaceId}/memoryItemspostSearch request for MemoryItempost/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}get/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}put/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}delete/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}patchGet user data filtersgetSet user data filtersputGet collection featuresgetGet custom collection featuresget
Schemas
powered by Zudoku
OpenAPI definition

Other

Endpoint:/

Get analytics model in AAC format

GET
/api/v1/aac/workspaces/{workspaceId}/analyticsModel
Code
Retrieve the analytics model of the workspace in Analytics as Code format. The returned format is compatible with the YAML definitions used by the GoodData Analytics as Code VSCode extension. This includes metrics, dashboards, visualizations, plugins, and attribute hierarchies.

Get analytics model in AAC format › path Parameters

  • workspaceIdstring · required

Get analytics model in AAC format › query Parameters

  • excludestring[]
    Enum values:
    ACTIVITY_INFO

Get analytics model in AAC format › Responses

Retrieved current analytics model in AAC format.

  • attribute_hierarchiesobject[]

    An array of attribute hierarchies.

  • dashboardsarray

    An array of dashboards.

  • metricsobject[]

    An array of metrics.

  • pluginsobject[]

    An array of dashboard plugins.

  • visualizationsarray

    An array of visualizations.

GET /api/v1/aac/workspaces/{workspaceId}/analyticsModel

Set analytics model from AAC format

PUT
/api/v1/aac/workspaces/{workspaceId}/analyticsModel
Code
Set the analytics model of the workspace using Analytics as Code format. The input format is compatible with the YAML definitions used by the GoodData Analytics as Code VSCode extension. This replaces the entire analytics model with the provided definition, including metrics, dashboards, visualizations, plugins, and attribute hierarchies.

Set analytics model from AAC format › path Parameters

  • workspaceIdstring · required

Set analytics model from AAC format › Request Body

  • attribute_hierarchiesobject[]

    An array of attribute hierarchies.

  • dashboardsarray

    An array of dashboards.

  • metricsobject[]

    An array of metrics.

  • pluginsobject[]

    An array of dashboard plugins.

  • visualizationsarray

    An array of visualizations.

Set analytics model from AAC format › Responses

Analytics model successfully set.

No data returned
PUT /api/v1/aac/workspaces/{workspaceId}/analyticsModel

Get logical model in AAC format

GET
/api/v1/aac/workspaces/{workspaceId}/logicalModel
Code
Retrieve the logical data model of the workspace in Analytics as Code format. The returned format is compatible with the YAML definitions used by the GoodData Analytics as Code VSCode extension. Use this for exporting models that can be directly used as YAML configuration files.

Get logical model in AAC format › path Parameters

  • workspaceIdstring · required

Get logical model in AAC format › query Parameters

  • includeParentsboolean

Get logical model in AAC format › Responses

Retrieved current logical model in AAC format.

  • datasetsobject[]

    An array of datasets.

  • date_datasetsobject[]

    An array of date datasets.

GET /api/v1/aac/workspaces/{workspaceId}/logicalModel

Set logical model from AAC format

PUT
/api/v1/aac/workspaces/{workspaceId}/logicalModel
Code
Set the logical data model of the workspace using Analytics as Code format. The input format is compatible with the YAML definitions used by the GoodData Analytics as Code VSCode extension. This replaces the entire logical model with the provided definition.

Set logical model from AAC format › path Parameters

  • workspaceIdstring · required

Set logical model from AAC format › Request Body

  • datasetsobject[]

    An array of datasets.

  • date_datasetsobject[]

    An array of date datasets.

Set logical model from AAC format › Responses

Logical model successfully set.

No data returned
PUT /api/v1/aac/workspaces/{workspaceId}/logicalModel

Convert a geo file to GeoParquet format

POST
/api/v1/actions/customGeoCollection/convert

Converts a geo file from the staging area to GeoParquet format. Supported source formats: GeoJSON (.geojson, .json), ESRI Shapefile (.zip). If the source file is already in GeoParquet format, the same location is returned without conversion.

Convert a geo file to GeoParquet format › Request Body

  • locationstring · required

    Location of the file in the staging area to convert.

Convert a geo file to GeoParquet format › Responses

Conversion was successful.

  • locationstring · required

    Location of the converted GeoParquet file in the staging area.

POST /api/v1/actions/customGeoCollection/convert

Upload a geo collection file to the staging area

POST
/api/v1/actions/customGeoCollection/staging/upload

Provides a location for uploading staging files for custom geo collections. Supported file types: GeoParquet (.parquet), GeoJSON (.geojson, .json), ESRI Shapefile (.zip). Maximum file size: 100 MB.

Upload a geo collection file to the staging area › Request Body

  • filestring · required

Upload a geo collection file to the staging area › Responses

Upload was successful.

  • locationstring · required

    Location to use when referencing the uploaded file in subsequent requests.

POST /api/v1/actions/customGeoCollection/staging/upload

Import custom geo collection

POST
/api/v1/actions/customGeoCollection/{collectionId}/import

Import a geo collection file from the staging area to be available for use. The file must be in GeoParquet format (use the convert endpoint first for other formats). Validates file size (max 100 MB), organization storage quota (max 1 GB total), and GeoParquet schema (requires id, geometry, and bbox columns).

Import custom geo collection › path Parameters

  • collectionIdstring · required

Import custom geo collection › Request Body

  • locationstring · required

    Location of the file in the staging area.

Import custom geo collection › Responses

Successful import.

  • versioninteger · int32 · required

    The version of the imported geo collection.

POST /api/v1/actions/customGeoCollection/{collectionId}/import

(BETA) Check Organization Metadata Inconsistencies

POST
/api/v1/actions/organization/metadataCheck

(BETA) Temporary solution. Resyncs all organization objects and full workspaces within the organization with target GEN_AI_CHECK.

(BETA) Check Organization Metadata Inconsistencies › Responses

OK

No data returned
POST /api/v1/actions/organization/metadataCheck

(BETA) Sync organization scope Metadata to other services

POST
/api/v1/actions/organization/metadataSync

(BETA) Temporary solution. Later relevant metadata actions will trigger sync in their scope only.

(BETA) Sync organization scope Metadata to other services › Responses

OK

No data returned
POST /api/v1/actions/organization/metadataSync

Switch Active Identity Provider

POST
/api/v1/actions/organization/switchActiveIdentityProvider

Switch the active identity provider for the organization. Requires MANAGE permission on the organization.

Switch Active Identity Provider › Request Body

  • idpIdstring · required

    Identity provider ID to set as active for the organization.

    Example: my-idp-123

Switch Active Identity Provider › Responses

No Content

No data returned
POST /api/v1/actions/organization/switchActiveIdentityProvider

GET
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

query Parameters

  • scopesstring[]
  • sizeinteger · int32
    Default: 50
  • pageTokenstring
  • metaIncludestring

Responses

OK

  • documentsobject[] · required
  • nextPageTokenstring
  • totalCountinteger · int32
GET /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents

PUT
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

Request Body

  • contentstring · required
  • filenamestring · required
  • pageBoundariesinteger[]
  • scopesstring[]
  • titlestring

Responses

OK

  • filenamestring · required
  • messagestring · required
  • numChunksinteger · int32 · required
  • successboolean · required
PUT /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents

POST
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

Request Body

  • contentstring · required
  • filenamestring · required
  • pageBoundariesinteger[]
  • scopesstring[]
  • titlestring

Responses

OK

  • filenamestring · required
  • messagestring · required
  • numChunksinteger · int32 · required
  • successboolean · required
POST /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents

GET
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

  • filenamestring · required

Responses

OK

  • createdAtstring · required
  • createdBystring · required
  • filenamestring · required
  • numChunksinteger · int32 · required
  • scopesstring[] · required
  • updatedAtstring · required
  • updatedBystring · required
  • isDisabledboolean
  • titlestring
  • workspaceIdstring
GET /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}

DELETE
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

  • filenamestring · required

Responses

OK

  • messagestring · required
  • successboolean · required
DELETE /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}

PATCH
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

  • filenamestring · required

Request Body

  • isDisabledboolean
  • scopesstring[]
  • titlestring

Responses

OK

  • createdAtstring · required
  • createdBystring · required
  • filenamestring · required
  • numChunksinteger · int32 · required
  • scopesstring[] · required
  • updatedAtstring · required
  • updatedBystring · required
  • isDisabledboolean
  • titlestring
  • workspaceIdstring
PATCH /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/documents/{filename}

GET
/api/v1/actions/workspaces/{workspaceId}/ai/knowledge/search

path Parameters

  • workspaceIdstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

    Workspace identifier

query Parameters

  • querystring · required
  • limitinteger · int32
    Default: 10
  • minScorenumber · double
    Default: 0
  • scopesstring[]

Responses

OK

  • resultsobject[] · required
  • statisticsobject · required
GET /api/v1/actions/workspaces/{workspaceId}/ai/knowledge/search

(BETA) Sync Metadata to other services

POST
/api/v1/actions/workspaces/{workspaceId}/metadataSync

(BETA) Temporary solution. Later relevant metadata actions will trigger it in its scope only.

(BETA) Sync Metadata to other services › path Parameters

  • workspaceIdstring · required

(BETA) Sync Metadata to other services › Responses

OK

No data returned
POST /api/v1/actions/workspaces/{workspaceId}/metadataSync

Set Certification

POST
/api/v1/actions/workspaces/{workspaceId}/setCertification

Set or clear the certification (e.g. CERTIFIED) of a workspace entity. Requires MANAGE permission.

Set Certification › path Parameters

  • workspaceIdstring · required

Set Certification › Request Body

  • idstring · required

    ID of the entity.

    Example: total-sales
  • typestring · enum · required

    Type of the entity.

    Enum values:
    metric
    visualizationObject
    analyticalDashboard
  • messagestring | null

    Optional message associated with the certification.

  • statusstring | null · enum

    Certification status of the entity.

    Enum values:
    CERTIFIED

Set Certification › Responses

No Content

No data returned
POST /api/v1/actions/workspaces/{workspaceId}/setCertification

(BETA) List AI Lake Database instances

GET
/api/v1/ailake/database/instances

(BETA) Lists database instances in the organization's AI Lake. Supports paging via size and offset query parameters. Use metaInclude=page to get total count.

(BETA) List AI Lake Database instances › query Parameters

  • sizeinteger · int32
    Default: 50
  • offsetinteger · int32
    Default: 0
  • metaIncludestring[] · unique

(BETA) List AI Lake Database instances › Responses

AI Lake database instances successfully retrieved

  • databasesobject[] · required

    List of database instances

  • totalCountinteger · int32

    Total count of items (only set when metaInclude=page)

GET /api/v1/ailake/database/instances

(BETA) Create a new AILake Database instance

POST
/api/v1/ailake/database/instances

(BETA) Creates a new database in the organization's AI Lake. Returns an operation-id in the operation-id header the client can use to poll for the progress.

(BETA) Create a new AILake Database instance › Headers

  • operation-idstring

(BETA) Create a new AILake Database instance › Request Body

  • namestring · required

    Name of the database instance

  • storageIdsstring[] · unique · required

    Set of ids of the storage instances this database instance should access.

(BETA) Create a new AILake Database instance › Responses

Accepted

POST /api/v1/ailake/database/instances

(BETA) Get the specified AILake Database instance

GET
/api/v1/ailake/database/instances/{instanceId}

(BETA) Retrieve details of the specified AI Lake database instance in the organization's AI Lake.

(BETA) Get the specified AILake Database instance › path Parameters

  • instanceIdstring · required

(BETA) Get the specified AILake Database instance › Responses

AI Lake database instance successfully retrieved

  • idstring · required

    Id of the AI Lake Database instance

  • namestring · required

    Name of the AI Lake Database instance

  • storageIdsstring[] · unique · required

    Set of ids of the storage instances this database instance should access.

GET /api/v1/ailake/database/instances/{instanceId}

(BETA) Delete an existing AILake Database instance

DELETE
/api/v1/ailake/database/instances/{instanceId}

(BETA) Deletes an existing database in the organization's AI Lake. Returns an operation-id in the operation-id header the client can use to poll for the progress.

(BETA) Delete an existing AILake Database instance › path Parameters

  • instanceIdstring · required

(BETA) Delete an existing AILake Database instance › Headers

  • operation-idstring

(BETA) Delete an existing AILake Database instance › Responses

Accepted

DELETE /api/v1/ailake/database/instances/{instanceId}

(BETA) Get Long Running Operation details

GET
/api/v1/ailake/operations/{operationId}

(BETA) Retrieves details of a Long Running Operation specified by the operation-id.

(BETA) Get Long Running Operation details › path Parameters

  • operationIdstring · required

    Operation ID

(BETA) Get Long Running Operation details › Responses

AI Lake Long Running Operation details successfully retrieved

oneOf
Exactly one variant must match.

Decision Table

VariantMatching Criteria
type = object · requires: error, id, kind +1 more
type = object · requires: id, kind, status
type = object · requires: id, kind, status
Properties for Variant 1:

Operation that has failed

  • idstring · required

    Id of the operation

  • kindstring · enum · required

    Type of the long-running operation.

    • provision-database — Provisioning of an AI Lake database.
    • deprovision-database — Deprovisioning (deletion) of an AI Lake database.
    • run-service-command — Running a command in a particular AI Lake service.
    Enum values:
    provision-database
    deprovision-database
    run-service-command
  • statusstring · required
  • errorobject · required

    Error information for a failed operation

GET /api/v1/ailake/operations/{operationId}

(BETA) List AI Lake services

GET
/api/v1/ailake/services

(BETA) Lists services configured for the organization's AI Lake. Returns only non-sensitive fields (id, name). Supports paging via size and offset query parameters. Use metaInclude=page to get total count.

(BETA) List AI Lake services › query Parameters

  • sizeinteger · int32
    Default: 50
  • offsetinteger · int32
    Default: 0
  • metaIncludestring[] · unique

(BETA) List AI Lake services › Responses

AI Lake services successfully retrieved

  • servicesobject[] · required

    List of services

  • totalCountinteger · int32

    Total count of items (only set when metaInclude=page)

GET /api/v1/ailake/services

(BETA) Run an AI Lake services command

POST
/api/v1/ailake/services/{serviceId}/commands/{commandName}/run

(BETA) Runs a specific AI Lake service command.

(BETA) Run an AI Lake services command › path Parameters

  • serviceIdstring · required
  • commandNamestring · required

(BETA) Run an AI Lake services command › Headers

  • operation-idstring

(BETA) Run an AI Lake services command › Request Body

  • contextobject | null

    The context to pass to the command

  • payloadobject | null · maxLength: 15000

    Free-form JSON object

    Example: {}

(BETA) Run an AI Lake services command › Responses

Accepted

POST /api/v1/ailake/services/{serviceId}/commands/{commandName}/run

(BETA) Get AI Lake service status

GET
/api/v1/ailake/services/{serviceId}/status

(BETA) Returns the status of a service in the organization's AI Lake. The status is controller-specific (e.g., available commands, readiness).

(BETA) Get AI Lake service status › path Parameters

  • serviceIdstring · required

(BETA) Get AI Lake service status › Responses

AI Lake service status successfully retrieved

  • statusobject | null · maxLength: 15000 · required

    Free-form JSON object

    Example: {}
GET /api/v1/ailake/services/{serviceId}/status

GET
/api/v1/entities/customGeoCollections

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/customGeoCollections

POST
/api/v1/entities/customGeoCollections

Request Body

  • dataobject · required

    JSON:API representation of customGeoCollection entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of customGeoCollection entity.

  • linksobject
POST /api/v1/entities/customGeoCollections

GET
/api/v1/entities/customGeoCollections/{id}

path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of customGeoCollection entity.

  • linksobject
GET /api/v1/entities/customGeoCollections/{id}

PUT
/api/v1/entities/customGeoCollections/{id}

path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Request Body

  • dataobject · required

    JSON:API representation of customGeoCollection entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of customGeoCollection entity.

  • linksobject
PUT /api/v1/entities/customGeoCollections/{id}

DELETE
/api/v1/entities/customGeoCollections/{id}

path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/customGeoCollections/{id}

PATCH
/api/v1/entities/customGeoCollections/{id}

path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Request Body

  • dataobject · required

    JSON:API representation of patching customGeoCollection entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of customGeoCollection entity.

  • linksobject
PATCH /api/v1/entities/customGeoCollections/{id}

Get all LLM Provider entities

GET
/api/v1/entities/llmProviders

Get all LLM Provider entities › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    page
    all
    ALL

Get all LLM Provider entities › Responses

Request successfully processed

  • dataobject[] · unique · required
  • linksobject
  • metaobject
GET /api/v1/entities/llmProviders

Post LLM Provider entities

POST
/api/v1/entities/llmProviders

LLM Provider - connection configuration for LLM services

Post LLM Provider entities › Request Body

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

Post LLM Provider entities › Responses

Request successfully processed

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

  • linksobject
POST /api/v1/entities/llmProviders

Get LLM Provider entity

GET
/api/v1/entities/llmProviders/{id}

Get LLM Provider entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Get LLM Provider entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Get LLM Provider entity › Responses

Request successfully processed

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

  • linksobject
GET /api/v1/entities/llmProviders/{id}

PUT LLM Provider entity

PUT
/api/v1/entities/llmProviders/{id}

PUT LLM Provider entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

PUT LLM Provider entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

PUT LLM Provider entity › Request Body

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

PUT LLM Provider entity › Responses

Request successfully processed

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

  • linksobject
PUT /api/v1/entities/llmProviders/{id}

Delete LLM Provider entity

DELETE
/api/v1/entities/llmProviders/{id}

Delete LLM Provider entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Delete LLM Provider entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Delete LLM Provider entity › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/llmProviders/{id}

Patch LLM Provider entity

PATCH
/api/v1/entities/llmProviders/{id}

Patch LLM Provider entity › path Parameters

  • idstring · pattern: ^(?!\.)[.A-Za-z0-9_-… · required

Patch LLM Provider entity › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Patch LLM Provider entity › Request Body

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

Patch LLM Provider entity › Responses

Request successfully processed

  • dataobject · required

    LLM Provider configuration for connecting to LLM services.

  • linksobject
PATCH /api/v1/entities/llmProviders/{id}

GET
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations

path Parameters

  • workspaceIdstring · required

query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    metrics
    analyticalDashboards
    metric
    analyticalDashboard
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedarray · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations

POST
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations

path Parameters

  • workspaceIdstring · required

query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    metrics
    analyticalDashboards
    metric
    analyticalDashboard
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Request Body

  • dataobject · required

    JSON:API representation of knowledgeRecommendation entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of knowledgeRecommendation entity.

  • includedarray · unique

    Included resources

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations

POST
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/search

path Parameters

  • workspaceIdstring · required

query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL

Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Request Body

  • filterstring | null

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includearray | null

    List of related entities to include in the response

  • metaIncludearray | null · unique

    Set of metadata fields to include in the response

  • pageobject

    Pagination information for entity search

  • sortarray | null

    Sorting criteria (can specify multiple sort orders)

Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedarray · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/search

GET
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    metrics
    analyticalDashboards
    metric
    analyticalDashboard
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of knowledgeRecommendation entity.

  • includedarray · unique

    Included resources

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

PUT
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    metrics
    analyticalDashboards
    metric
    analyticalDashboard
    ALL

Request Body

  • dataobject · required

    JSON:API representation of knowledgeRecommendation entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of knowledgeRecommendation entity.

  • includedarray · unique

    Included resources

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

DELETE
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

PATCH
/api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    metrics
    analyticalDashboards
    metric
    analyticalDashboard
    ALL

Request Body

  • dataobject · required

    JSON:API representation of patching knowledgeRecommendation entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of knowledgeRecommendation entity.

  • includedarray · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/knowledgeRecommendations/{objectId}

GET
/api/v1/entities/workspaces/{workspaceId}/memoryItems

path Parameters

  • workspaceIdstring · required

query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/memoryItems

POST
/api/v1/entities/workspaces/{workspaceId}/memoryItems

path Parameters

  • workspaceIdstring · required

query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Request Body

  • dataobject · required

    JSON:API representation of memoryItem entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/memoryItems

Search request for MemoryItem

POST
/api/v1/entities/workspaces/{workspaceId}/memoryItems/search

Search request for MemoryItem › path Parameters

  • workspaceIdstring · required

Search request for MemoryItem › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL

Search request for MemoryItem › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Search request for MemoryItem › Request Body

  • filterstring | null

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includearray | null

    List of related entities to include in the response

  • metaIncludearray | null · unique

    Set of metadata fields to include in the response

  • pageobject

    Pagination information for entity search

  • sortarray | null

    Sorting criteria (can specify multiple sort orders)

Search request for MemoryItem › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/memoryItems/search

GET
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

PUT
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Request Body

  • dataobject · required

    JSON:API representation of memoryItem entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

DELETE
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

PATCH
/api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Request Body

  • dataobject · required

    JSON:API representation of patching memoryItem entity.

Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of memoryItem entity.

  • includedobject[] · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/memoryItems/{objectId}

Get user data filters

GET
/api/v1/layout/workspaces/{workspaceId}/userDataFilters

Retrieve current user data filters assigned to the workspace.

Get user data filters › path Parameters

  • workspaceIdstring · required

Get user data filters › Responses

Retrieved current user data filters.

  • userDataFiltersobject[] · required
GET /api/v1/layout/workspaces/{workspaceId}/userDataFilters

Set user data filters

PUT
/api/v1/layout/workspaces/{workspaceId}/userDataFilters

Set user data filters assigned to the workspace.

Set user data filters › path Parameters

  • workspaceIdstring · required

Set user data filters › Request Body

  • userDataFiltersobject[] · required

Set user data filters › Responses

User data filters successfully set.

No data returned
PUT /api/v1/layout/workspaces/{workspaceId}/userDataFilters

Get collection features

GET
/api/v1/location/collections/{collectionId}/items

Retrieve features from a GeoCollections collection as GeoJSON

Get collection features › path Parameters

  • collectionIdstring · required

    Collection identifier

Get collection features › query Parameters

  • limitinteger · min: 1 · max: 100

    Maximum number of features to return

  • bboxstring

    Bounding box filter (minx,miny,maxx,maxy)

  • valuesstring[]

    List of values to filter features by

Get collection features › Responses

Features retrieved successfully

  • featuresobject[] · required
  • typestring · required
  • bboxnumber[]
GET /api/v1/location/collections/{collectionId}/items

Get custom collection features

GET
/api/v1/location/custom/collections/{collectionId}/items

Retrieve features from a custom (organization-scoped) GeoCollections collection as GeoJSON

Get custom collection features › path Parameters

  • collectionIdstring · required

    Collection identifier

Get custom collection features › query Parameters

  • limitinteger · min: 1 · max: 100

    Maximum number of features to return

  • bboxstring

    Bounding box filter (minx,miny,maxx,maxy)

  • valuesstring[]

    List of values to filter features by

Get custom collection features › Responses

Features retrieved successfully

  • featuresobject[] · required
  • typestring · required
  • bboxnumber[]
GET /api/v1/location/custom/collections/{collectionId}/items

Export templates